Create a Data Feed
Creates a Data Feed
POST
/
api
/
v2
/
platform
/
data_feeds
Create a Data Feed
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://{defaultHost}/api/v2/platform/data_feeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/data_feeds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"data": {
"id": "1",
"type": "data_feed",
"attributes": {
"name": "First Data Feed",
"type": "Spree::DataFeed::Google",
"slug": "e593ae1f-630a-4f77-832f-0489da1c921b",
"active": true
}
}
}{
"error": "Data Feed name can't be blank",
"errors": {
"name": [
"can't be blank"
],
"type": [
"can't be blank"
]
}
}Was this page helpful?
⌘I
Create a Data Feed
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://{defaultHost}/api/v2/platform/data_feeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/data_feeds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"data": {
"id": "1",
"type": "data_feed",
"attributes": {
"name": "First Data Feed",
"type": "Spree::DataFeed::Google",
"slug": "e593ae1f-630a-4f77-832f-0489da1c921b",
"active": true
}
}
}{
"error": "Data Feed name can't be blank",
"errors": {
"name": [
"can't be blank"
],
"type": [
"can't be blank"
]
}
}
